# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.625   -> 1.626  
#	drivers/usb/core/inode.c	1.33    -> 1.34   
#	drivers/usb/class/cdc-acm.c	1.18    -> 1.19   
#	drivers/usb/core/message.c	1.4     -> 1.5    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/06	bhards@bigpond.net.au	1.626
# [PATCH] USB: printk janitorial fixes
# 
# This is the first of a few janitorial fixes for printk() usage in the USB
# tree.
# --------------------------------------------
#
diff -Nru a/drivers/usb/class/cdc-acm.c b/drivers/usb/class/cdc-acm.c
--- a/drivers/usb/class/cdc-acm.c	Sun Jul  7 12:36:04 2002
+++ b/drivers/usb/class/cdc-acm.c	Sun Jul  7 12:36:04 2002
@@ -619,7 +619,7 @@
 			buf += readsize, acm->writesize, acm_write_bulk, acm);
 		acm->writeurb->transfer_flags |= USB_NO_FSBR;
 
-		printk(KERN_INFO "ttyACM%d: USB ACM device\n", minor);
+		info("ttyACM%d: USB ACM device", minor);
 
 		acm_set_control(acm, acm->ctrlout);
 
diff -Nru a/drivers/usb/core/inode.c b/drivers/usb/core/inode.c
--- a/drivers/usb/core/inode.c	Sun Jul  7 12:36:04 2002
+++ b/drivers/usb/core/inode.c	Sun Jul  7 12:36:04 2002
@@ -317,13 +317,13 @@
 	inode = usbfs_get_inode(sb, S_IFDIR | 0755, 0);
 
 	if (!inode) {
-		dbg("%s: could not get inode!\n",__FUNCTION__);
+		dbg("%s: could not get inode!",__FUNCTION__);
 		return -ENOMEM;
 	}
 
 	root = d_alloc_root(inode);
 	if (!root) {
-		dbg("%s: could not get root dentry!\n",__FUNCTION__);
+		dbg("%s: could not get root dentry!",__FUNCTION__);
 		iput(inode);
 		return -ENOMEM;
 	}
@@ -364,7 +364,7 @@
 	}
 
 	if (!parent) {
-		dbg("Ah! can not find a parent!\n");
+		dbg("Ah! can not find a parent!");
 		return -EFAULT;
 	}
 
@@ -390,7 +390,7 @@
 				error = vfs_mkdir(parent->d_inode,d,mode);
 				break;
 			default:
-				err("cannot create special files\n");
+				err("cannot create special files");
 		}
 		*dentry = d;
 	}
@@ -408,7 +408,7 @@
 	struct dentry *dentry;
 	int error;
 
-	dbg("creating file '%s'\n",name);
+	dbg("creating file '%s'",name);
 
 	error = fs_create_by_name(name,mode,parent,&dentry);
 	if (error) {
@@ -510,7 +510,7 @@
 	mntput(mnt);
 
 go_ahead:
-	dbg("mount_count = %d\n", mount_count);
+	dbg("mount_count = %d", mount_count);
 	return 0;
 }
 
@@ -526,7 +526,7 @@
 
 	spin_unlock (&mount_lock);
 	mntput(mnt);
-	dbg("mount_count = %d\n", mount_count);
+	dbg("mount_count = %d", mount_count);
 }
 
 static int create_special_files (void)
diff -Nru a/drivers/usb/core/message.c b/drivers/usb/core/message.c
--- a/drivers/usb/core/message.c	Sun Jul  7 12:36:04 2002
+++ b/drivers/usb/core/message.c	Sun Jul  7 12:36:04 2002
@@ -62,7 +62,7 @@
 			    urb->pipe, urb->status, timeout);
 			status = urb->status;
 		} else {
-			printk("usb_control/bulk_msg: timeout\n");
+			warn("usb_control/bulk_msg: timeout");
 			usb_unlink_urb(urb);  // remove urb safely
 			status = -ETIMEDOUT;
 		}
